/oauth/token endpoint.
curl POST "https://sleephq.com/oauth/token" \
-d "client_id=my-client-id" \
-d "client_secret=my-client-secret" \
-d "grant_type=password" \
-d "scope=read write delete"
{
"access_token": "my-access-token",
"token_type": "Bearer",
"expires_in": 7200,
"refresh_token": "an-invalid-refresh-token",
"scope": "read write delete",
"created_at": 1752817725
}
password grant to use refresh tokens. Even though you get a
refresh token back in the response, you will need to generate a new token each time the current token expires.
401 Unauthorized response. The response body will be:
{
"error": "The access token expired"
}
Clinic and enterprise accounts have documentation for endpoints this public reference does not list. Sign in with your clinic account to read it.
For SleepHQ Consult and Clinical users, view your API documentation here →